mutation Coupon($input: CouponInput!) {
  coupon(input: $input) {
    result {
      __typename
      ... on Success {
        message
      }
      ... on InvalidCoupon {
        reason
      }
    }
  }
}
